path: /build/build/tcpdump-net-analyzer-4.99.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl -smi -test drop-root ssl" emerge net-analyzer/tcpdump -pv -t && \
    USE="-libressl -smi -test drop-root ssl" emerge -j ${JOBS} --nodeps net-analyzer/tcpdump
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tcpdump && luet-portage --dir /pkgdir/tcpdump
    net-analyzer/tcpdump && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: tcpdump
    version: 4.99.4
    category: net-analyzer
    use_flags:
    - -libressl
    - -smi
    - -test
    - drop-root
    - ssl
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A Tool for network monitoring and data acquisition
    uri:
    - http://www.tcpdump.org/ https://github.com/the-tcpdump-group/tcpdump
    license: BSD
    buildtimestamp: 2023-08-23 17:04:54.308740944 +0000 UTC m=+80.319382535
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: drop-root? ( sys-libs/libcap-ng ) net-libs/libpcap smi? ( net-libs/libsmi
        ) ssl? ( !libressl? ( >=dev-libs/openssl-0.9.6m:0= ) libressl? ( dev-libs/libressl:=
        ) ) drop-root? ( virtual/pkgconfig ) test? ( || ( app-arch/sharutils sys-freebsd/freebsd-ubin
        ) dev-lang/perl ) sys-apps/shadow
      IUSE: +drop-root libressl smi ssl samba suid test
      RDEPEND: drop-root? ( sys-libs/libcap-ng ) net-libs/libpcap smi? ( net-libs/libsmi
        ) ssl? ( !libressl? ( >=dev-libs/openssl-0.9.6m:0= ) libressl? ( dev-libs/libressl:=
        ) )
      emerge.packages: net-analyzer/tcpdump
      kit: core-server-kit
      original.package.name: net-analyzer/tcpdump
      original.package.slot: "0"
      original.package.version: 4.99.4
    treedir: /build/packages
  package_dir: /pkgdir/tcpdump
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b1c1b3f2be05a42d34588f4a8a49eb7ba9163558af65dc0e5f759e965500d438
compressiontype: zstd
files:
- usr/sbin/tcpdump
- usr/share/doc/tcpdump-4.99.4/CHANGES.bz2
- usr/share/doc/tcpdump-4.99.4/CREDITS.bz2
- usr/share/doc/tcpdump-4.99.4/README.md.bz2
- usr/share/doc/tcpdump-4.99.4/atime.awk.bz2
- usr/share/doc/tcpdump-4.99.4/packetdat.awk.bz2
- usr/share/doc/tcpdump-4.99.4/send-ack.awk.bz2
- usr/share/doc/tcpdump-4.99.4/stime.awk.bz2
- usr/share/man/man1/tcpdump.1.bz2
- var/db/pkg/net-analyzer/tcpdump-4.99.4/BDEPEND
- var/db/pkg/net-analyzer/tcpdump-4.99.4/BUILD_TIME
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CATEGORY
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CBUILD
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CFLAGS
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CHOST
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CONTENTS
- var/db/pkg/net-analyzer/tcpdump-4.99.4/COUNTER
- var/db/pkg/net-analyzer/tcpdump-4.99.4/CXXFLAGS
- var/db/pkg/net-analyzer/tcpdump-4.99.4/DEFINED_PHASES
- var/db/pkg/net-analyzer/tcpdump-4.99.4/DEPEND
- var/db/pkg/net-analyzer/tcpdump-4.99.4/DESCRIPTION
- var/db/pkg/net-analyzer/tcpdump-4.99.4/EAPI
- var/db/pkg/net-analyzer/tcpdump-4.99.4/FEATURES
- var/db/pkg/net-analyzer/tcpdump-4.99.4/HOMEPAGE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/INHERITED
- var/db/pkg/net-analyzer/tcpdump-4.99.4/IUSE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/IUSE_EFFECTIVE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/KEYWORDS
- var/db/pkg/net-analyzer/tcpdump-4.99.4/LDFLAGS
- var/db/pkg/net-analyzer/tcpdump-4.99.4/LICENSE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/NEEDED
- var/db/pkg/net-analyzer/tcpdump-4.99.4/PF
- var/db/pkg/net-analyzer/tcpdump-4.99.4/RDEPEND
- var/db/pkg/net-analyzer/tcpdump-4.99.4/REQUIRES
- var/db/pkg/net-analyzer/tcpdump-4.99.4/SIZE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/SLOT
- var/db/pkg/net-analyzer/tcpdump-4.99.4/USE
- var/db/pkg/net-analyzer/tcpdump-4.99.4/environment.bz2
- var/db/pkg/net-analyzer/tcpdump-4.99.4/repository
- var/db/pkg/net-analyzer/tcpdump-4.99.4/tcpdump-4.99.4.ebuild
package_cacheimage: ""
runtime:
  name: tcpdump
  version: 4.99.4
  category: net-analyzer
  use_flags:
  - -libressl
  - -smi
  - -test
  - drop-root
  - ssl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: libpcap
    version: '>=0'
    category: net-libs
  - name: libcap-ng
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A Tool for network monitoring and data acquisition
  uri:
  - http://www.tcpdump.org/ https://github.com/the-tcpdump-group/tcpdump
  license: BSD
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: drop-root? ( sys-libs/libcap-ng ) net-libs/libpcap smi? ( net-libs/libsmi
      ) ssl? ( !libressl? ( >=dev-libs/openssl-0.9.6m:0= ) libressl? ( dev-libs/libressl:=
      ) ) drop-root? ( virtual/pkgconfig ) test? ( || ( app-arch/sharutils sys-freebsd/freebsd-ubin
      ) dev-lang/perl ) sys-apps/shadow
    IUSE: +drop-root libressl smi ssl samba suid test
    RDEPEND: drop-root? ( sys-libs/libcap-ng ) net-libs/libpcap smi? ( net-libs/libsmi
      ) ssl? ( !libressl? ( >=dev-libs/openssl-0.9.6m:0= ) libressl? ( dev-libs/libressl:=
      ) )
    emerge.packages: net-analyzer/tcpdump
    kit: core-server-kit
    original.package.name: net-analyzer/tcpdump
    original.package.slot: "0"
    original.package.version: 4.99.4
